% CircTarget Function v2
% Author: Jacob Neumann
% Created: 16 April 2016
%
% [Target] = CircTarget(n) creates a matrix representing a circular target of diamter n
%
% n must be an even number

function [Target] = CircTarget (n)

f = @(x) sqrt((n/2)^2 - x.^2); % Define upper half of circle

x = linspace(-n/2,n/2,n);      % Define sampling points

y = round(f(x));               % Sample and round

onesvec = 4*floor(y/2);        % Vector states how many ones in each row, forces them to be even

Target = zeros(n,n);           % Instantiate Target vector

% Loop iterates through rows of target, creates onesvec(i) ones centered, rest are zeros
for i = 1:n
  Target(i,:) = [zeros(1,(n - onesvec(i))/2),ones(1,onesvec(i)), zeros(1,(n - onesvec(i))/2)];
end

endfunction